/*======================================================================
                      TRXPROJ(Ths,k,P_k,J_k1)

Trace Exit-time of PROJ.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

void TRXPROJ(Ths,k,P_k,J_k1)
       Word Ths,k,P_k,J_k1;
{
       Word Xhs;

Step1: /* Name. */
       Xhs = SECOND(TCPROJ);
       if (LSRCH('n',Xhs) == 0) goto Step2;
       SWRITE("Exiting PROJ...\n");

Step2: /* Input. */
       if (LSRCH('i',Xhs) == 0) goto Step3;
       SWRITE("With inputs ......\n");
       IPLDWR(GVVL,P_k);

Step3: /* Ouput. */
       if (LSRCH('o',Xhs) == 0) goto Step4;
       SWRITE("With outputs ......\n");
       IPLDWR(GVVL,J_k1);

Step4: /* Time. */
       if (LSRCH('t',Xhs) == 0) goto Step5;
       SWRITE("Time taken: "); GWRITE(Ths); SWRITE("\n");

Step5: /* Done. */
       goto Return;

Return: /* Prepare for return. */
       return;
}
