/*======================================================================
                      BKSP()

Backspace.  The last character read is put back onto the input stream.
(Replaces the saclib BKSP.)
======================================================================*/
#include "saclib.h"
#include "qepcad.h"
#include <stdio.h>

void BKSP()
{
       /* hide algorithm */

Step1: /* Put back. */
       if (WASBKSP) FAIL("BKSP","was called twice conjecutively.");
       WASBKSP = 1;

Return: /* Prepare for return. */
       return;
}
