/*======================================================================
                      t <- CAPTURE(p,m,W)

Capture?

\Input
  \parm{p} is a product.
  \parm{m} is a minterm.
  \parm{W} is the length of p and m.
  
\Output
  \parm{t} is 1 if $p$ captures $m$, 0 otherwise.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

Word CAPTURE(p,m,W)
       RelOps p,m;
       Word W;
{
       Word i,t;

Step1: /* Determine. */
       t = 1;
       for (i = 1; i <= W; i++)
         if ((~(p[i])) & m[i]) { t = 0; break; } 

Return: /* Prepare for return. */
       return(t);
}
