/*======================================================================
                   M <- RELALLOC(n)

Relational operators Allocate.
 
\Input
  \parm{n} is a positive interger.
 
\Output
  \parm{M} is a memory chunk for storing n + 1 relational operators.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"
#include <stdlib.h>

RelOps RELALLOC(n)
       Word n;
{
       RelOps M;

Step1: /* Allocate. */
       M = (RelOps) malloc(sizeof(RelOp) * (n+1));
       if (M == NULL) FAIL("RELALLOC","No more memory");

Return: /* Prepare for return. */
       return (M);
}



