/*======================================================================
                      t <- SAMERELOPS(W,P,Q)

Same Relops?
 
\Input
  \parm{W} is the length of P and Q.
  \parm{P} is an array of relational operators.
  \parm{Q} is an array of relational operators.
 
\Output
  \parm{t} is 1 if P and Q are the same, 0 otherwise.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

Word SAMERELOPS(W,P,Q)
       Word W;
       RelOps P,Q;
{
       Word t,i;

Step1: /* Check. */
       t = 1;
       for (i = 1; i <= W; i++)
         if (P[i] != Q[i]) { t = 0; goto Return;}

Return: /* Prepare for return. */
       return (t);
}



