/*======================================================================
                      CHOOSE(D; t,c)

Choose a cell.

\Input
  \parm{D} is a partial CAD.

\Output
  \parm{t} is 1 if there is a desired candidate cell, 0 otherwise. 
  \parm{c} is a desired candidate cell chosen.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

void CHOOSE(D, t_,c_)
       Word D, *t_,*c_;
{
       Word c,t;
       /* hide t; */

Step1: /* Manually chosen? */
       if (PCMC == 'y') { c = PCMCC; PCMC = 'n'; t = 1; goto Return; }

Step2: /* Choose. */
       CHCELL(D,&c,&t); 

Return: /* Prepare for return. */
       *t_ = t;
       *c_ = c;
       return;
}
