/*======================================================================
                      PRRESALG()

Process res-alg command.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

void PRRESALG()
{
       Word C;

Step1: /* Get the argument. */
       C = CREADB();

Step2: /* Check for the validity. */
       if (C != 'M' && C != 'S') {
	 SWRITE("Error res-alg: 'M' or 'S' was expected.\n");
	 goto Step4; }

Step3: /* Set. */
       if (C == 'M')
	 PCRESALG = MODULAR;
       else
	 PCRESALG = SUBRES;
       goto Return;

Step4: /* Error exit. */
       DIELOC(); goto Return;

Return: /* Prepare for return. */
       return;
}
