/*---------------------------------------------------
                D <-- DIFTMUL(N1,N2)

Difference of total multiplicities.

Input:
   N1  is a list of total multiplicities.
   N2  is a list of total multiplicities.

Output:
   D   is the list of differences.
----------------------------------------------------*/
#include "saclib.h"
#include "qepcad.h"

Word DIFTMUL(N1,N2)
       Word N1, N2;
{
       Word N11, N21, D, D1, T;

Step1: /* Do it. */
       D = NIL;
       T = 0;
       while (N1 != NIL)
         {
         ADV(N1,&N11,&N1);
         ADV(N2,&N21,&N2);
         D1 = N11 - N21;
         D = COMP(D1,D);
         T += D;
         }
       D = INV(D);
       D = COMP(T,D);
       return(D);
}


