/*======================================================================
                      INITIO()

Initialize Input/Output.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"
#include <stdio.h>
#include <stdlib.h>

void INITIO()
{
       Word i;
       /* hide i; */

Step1: /* Initialize Input. */
       for (i=0; i < ISIZE; i++) IBUFF[i] = '?';
       IPOS = 0; IBUFF[IPOS] = '\n';  WASBKSP = 0;
       INSTREAM = stdin;

Step2: /* Initialize Output. */
       OPOS = 0;
       OUTSTREAM = stdout;

Step3: /* Control Echo. */
       if (!isatty(0))
         ECHO = 1;
       else
         ECHO = 0;

Return: /* Prepare for return. */
       return;
}
