/*======================================================================
                      H <- MVLMA(H_t,H_f)

Multiple-Valued Logic Minimization Algorithm.

\Input
  \parm{Ht} is a sum-of-product for the TRUE-set of a logic function.
  \parm{Hf} is a sum-of-proudct for the FALSE-set of the logic function.

\Output
  \parm{H} is a simple cover for the logic function.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

Word MVLMA(H_t,H_f)
       Word H_t,H_f;
{
       Word H;

Step1: /* Call the chosen MVLMA.  For now call MVMLASF. */
       H = MVLMASF(H_t,H_f);

Return: /* Prepare for return. */
       return(H);
}
