/*==========================================================================
                    c <- MAFDIF(p,a,b);

Modular algebraic field element difference.

Input
  p : a BETA-digit, p a prime.
  a,b : in Z/(p)[x]/(M),  M in Z/(p)[x].

Output
  c : in Z/(p)[x]/(M), c = a - b.
==========================================================================*/
#include "saclib.h"
#include "qepcad.h"

Word MAFDIF(p,a,b)
       Word p,a,b;
{
       return(MPDIF(1,p,a,b));
}
