/*======================================================================
                      D <- PLDEG(P)

Polynomial List Degree

\Input
  \parm{P} is a list of polynomials.
  
\Output
  \parm{D} is the list of the degrees of the polynomials in P.
======================================================================*/
#include "saclib.h"
#include "qepcad.h"

Word PLDEG(P)
       Word P;
{
       Word D, P1;

Step1: /* Do it. */
       D = NIL;
       while (P != NIL)
         {
         ADV(P,&P1,&P);
         D = COMP(PDEG(P1),D);
         }
       D = INV(D);

Return: /* Prepare for return. */
       return(D);
}
